<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qxgmat.data.dao.QuestionNoMapper">
  <resultMap id="BaseResultMap" type="com.qxgmat.data.dao.entity.QuestionNo">
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="title" jdbcType="VARCHAR" property="title" />
    <result column="question_id" jdbcType="INTEGER" property="questionId" />
    <result column="module" jdbcType="VARCHAR" property="module" />
    <result column="module_struct" jdbcType="VARCHAR" property="moduleStruct" typeHandler="com.nuliji.tools.mybatis.handler.IntegerArrayHandler" />
    <result column="total_time" jdbcType="INTEGER" property="totalTime" />
    <result column="total_number" jdbcType="INTEGER" property="totalNumber" />
    <result column="total_correct" jdbcType="INTEGER" property="totalCorrect" />
    <result column="delete_time" jdbcType="TIMESTAMP" property="deleteTime" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
    -->
    `id`, `title`, `question_id`, `module`, `module_struct`, `total_time`, `total_number`, 
    `total_correct`, `delete_time`
  </sql>
</mapper>